%define name libgdome
%define src_name gdome2
%define version 0.8.1

%define major 0
%define libname  %mklibname gdome %{major}

Summary:	A DOM level2 library for accessing XML files
Name:		%{name}
Version:	%{version}
Release:	%mkrel 5
License:	LGPL
Group:		System/Libraries
URL:		http://gdome2.cs.unibo.it
Source0:	http://gdome2.cs.unibo.it/tarball/%{src_name}-%{version}.tar.bz2
Patch0:		gdome2-0.8.1-gdome-config_lib64.diff
BuildRequires:	pkgconfig
BuildRequires:	libxml2-devel >= 2.4.26
BuildRequires:	glib2-devel
Provides:	gdome2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Libgdome is a DOM C library developed for the Gnome project.
Libgdome is a DOM level2 Implementation.
Libgdome supports "Core" and "XML" modules.
Libgdome supports "Events" and "MutationEvents" modules.
Libgdome is based on libxml2.

%package -n	%{libname}
Summary:	A DOM level2 library for accessing XML files
Group:		System/Libraries

%description -n	%{libname}
A fast, light and complete DOM level2 implementation
based on libxml2

%package -n	%{libname}-devel
Summary:	DOM level2 library for accessing XML files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{src_name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the header files and static libraries for
developing with libgdome.

%prep

%setup -qn %{src_name}-%{version}
%patch0 -p0

%build
# to fix gdome-config(1)
export GLIB_CONFIG="pkg-config glib-2.0"

%configure

%make

# xpath check don't work unless libxml2-2.6.20
#make check

%install
rm -rf %{buildroot}

%makeinstall
%multiarch_binaries %{buildroot}%{_bindir}/gdome-config

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS ChangeLog INSTALL README COPYING COPYING.LIB
%{_bindir}/gdome-config
%multiarch %multiarch_bindir/gdome-config
%dir %{_datadir}/gtk-doc/html/%{src_name}-%{version}/
%{_datadir}/gtk-doc/html/%{src_name}-%{version}/*.html
%{_datadir}/gtk-doc/html/%{src_name}-%{version}/*.sgml
%{_datadir}/aclocal/gdome2.m4
%{_includedir}/*
%{_libdir}/pkgconfig/gdome2.pc
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_mandir}/man1/gdome-config.1*


%changelog
* Thu Oct 11 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.1-5mdv2008.1
+ Revision: 96975
- Launch a rebuild
- Rebuild
- Import libgdome



* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-4mdk
- added fixes by Ville Skyttä
- lib64, deps and misc spec file fixes

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.8.1-3mdk
- multiarch

* Tue Oct  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix deps
- fix buildrequires

* Fri Aug 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- New release 0.8.1

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-4mdk
- rebuild for new rpm

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-3mdk
- fix buildrequires

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-2mdk
- remove some obsolete requires
- rebuild for devel requires and provides

* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- dir ownership
- add source URL
- from Charles A Edwards <eslrahc@bellsouth.net>:
  - initial mdk release
